2 Replies Latest reply: Dec 7, 2012 11:56 PM by JLchuy
JLchuy Level 1 Level 1 (0 points)

I am new here and also to final cut express. I have FCE version 4.0.1. Is this version still being supported?

Thanks for any reply.


iOS 5.0.1
  • Alchroma Level 6 Level 6 (17,825 points)

    No.

    10.6.8 OS was the last officially supported by Apple.

    Lion and Mountian may work but users find issues ranging from small to can't even load the program.

    10.5 should be OK.

     

    Al

  • JLchuy Level 1 Level 1 (0 points)

    Thank you for that insite now I know were I stand with my editing mac. I was talking to people about the new final cut pro and alot of people are saying that the best version is stil Final Cut 7, what do you think? Also Alchroma if I do upgrade to this new final cut what should I look for OS version on a mac? Thanks for all insight.